<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Survey Form</title>
    <link rel="stylesheet" href="css/index.css">
    <link rel="stylesheet" href="css/checkbox.css">
    <link rel="stylesheet" href="css/submit-button.css">
    <link rel="stylesheet" href="css/radio.css">
    <link rel="stylesheet" href="css/input-group.css">
</head>
<body>
<main>
    <h1 id="title">C# likeability survey form</h1>
    <p id="description">
        This is a quick survey to see how much you like C#
    </p>

    <form id="survey-form">

        <div class="input-group">
            <label for="name" id="name-label">
                Full Name <small>(required)</small>
            </label>
            <input type="text"
                   id="name"
                   name="full-name"
                   required
                   placeholder="Enter your full name (e.g.: John Snow)">
        </div>

        <div class="input-group">
            <label for="email" id="email-label">
                Email <small>(required)</small>
            </label>
            <input type="email"
                   id="email"
                   name="email"
                   required
                   placeholder="Enter your email (e.g.: user@mail.service.com)">
        </div>

        <div class="input-group">
            <label for="number" id="number-label">
                Score C# <small>(Range: 1 - 10)</small>
            </label>
            <input type="number"
                   id="number"
                   name="score"
                   min="1"
                   max="10"
                   placeholder="Please enter your score (e.g.: 10)">
        </div>

        <div class="input-group select-input-group">
            <label for="dropdown">I am a</label>
            <select name="role" id="dropdown" required>
                <option disabled="" selected="" value="">Select current role</option>
                <option value="student">Student</option>
                <option value="teacher">Teacher</option>
                <option value="professional">Professional</option>
            </select>
        </div>

        <fieldset class="input-group radio-input-group">
            <legend>Would you recommend C# to a beginner?</legend>

            <label class="radio-input-option">
                Definitely
                <input type="radio"
                       value="definitely"
                       name="would-recommend"
                       checked>
                <span class="radio-checkmark"></span>
            </label>

            <label class="radio-input-option">
                Maybe
                <input type="radio"
                       value="maybe"
                       name="would-recommend">
                <span class="radio-checkmark"></span>
            </label>

            <label class="radio-input-option">
                Not sure
                <input type="radio"
                       value="not-sure"
                       name="would-recommend">
                <span class="radio-checkmark"></span>
            </label>
        </fieldset>

        <fieldset class="input-group checkbox-input-group">
            <legend>Which C# features did you like?</legend>

            <label class="checkbox-input-option">
                LINQ
                <input type="checkbox"
                       value="linq"
                       name="liked-features">
                <span class="checkbox-checkmark"></span>
            </label>

            <label class="checkbox-input-option">
                Extension Methods
                <input type="checkbox"
                       value="extension-methods"
                       name="liked-features">
                <span class="checkbox-checkmark"></span>
            </label>

            <label class="checkbox-input-option">
                Cross-platform
                <input type="checkbox"
                       value="cross-platform"
                       name="liked-features">
                <span class="checkbox-checkmark"></span>
            </label>

            <label class="checkbox-input-option">
                Others
                <input type="checkbox"
                       value="others"
                       name="liked-features">
                <span class="checkbox-checkmark"></span>
            </label>
        </fieldset>

        <div class="input-group">
            <label for="comments">Any suggestions for the next C# version?</label>
            <textarea id="comments"
                      class="input-textarea"
                      name="comment"
                      placeholder="Enter your suggestions here..."></textarea>
        </div>

        <div class="input-group">
            <button type="submit" id="submit" class="submit-button">
                Submit
            </button>
        </div>

    </form>
</main>
</body>
<script src="https://cdn.freecodecamp.org/testable-projects-fcc/v1/bundle.js"></script>
</html>
